## com.baidubce.services.media.model
Class ListThumbnailJobsRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.media.model.ListThumbnailJobsRequest

    public class ListThumbnailJobsRequest

extends AbstractBceRequest

Constructor Summary
`ListThumbnailJobsRequest()`

Method Summary
`String` `getPipeline()`
`void` `setPipeline(String pipeline)`
`ListThumbnailJobsRequest` `withPipeline(String pipeline)`
`AbstractBceRequest` `withRequestCredentials(BceCredentials credentials)`

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListThumbnailJobsRequest

    public ListThumbnailJobsRequest()

Method Detail

### getPipeline

    public String getPipeline()

### setPipeline

    public void setPipeline(String pipeline)

### withPipeline

    public ListThumbnailJobsRequest withPipeline(String pipeline)

### withRequestCredentials

    public AbstractBceRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

Copyright © 2016. All rights reserved.